Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class CacheProperties

    java.lang.Object
      |
      +--com.macromedia.generator.app.CacheProperties

public class CacheProperties
extends java.lang.Object

Field Summary
`int` | `diskBufferSize`
`boolean` | `fcCheckModifiedSince`
`long` | `fcDefaultExpire`
`boolean` | `fcForce`
`boolean` | `fcLoad`
`long` | `fcMaxSize`
`boolean` | `fcRecycle`
`long` | `imcMaxSize`
`long` | `itcMaxSize`
`static java.lang.String` | `kCacheDiskBufferSize`
`static java.lang.String` | `kCacheLogCycle`
`static java.lang.String` | `kCacheLoggingLevel`
`static java.lang.String` | `kCacheLogsMax`
`static java.lang.String` | `kCacheNetBufferSize`
`static java.lang.String` | `kClassPath`
`static java.lang.String` | `kFileCacheCheckModifiedSince`
`static java.lang.String` | `kFileCacheDefaultExpire`
`static java.lang.String` | `kFileCacheForce`
`static java.lang.String` | `kFileCacheLoadIndex`
`static java.lang.String` | `kFileCacheMaxSize`
`static java.lang.String` | `kFileCacheRecycle`
`static java.lang.String` | `kFontCacheCheckModifiedSince`
`static java.lang.String` | `kFontCacheDefaultExpire`
`static java.lang.String` | `kFontCacheForce`
`static java.lang.String` | `kFontCacheMaxSize`
`static java.lang.String` | `kFontCacheRecycle`
`static java.lang.String` | `kInternalFontCacheMaxSize`
`static java.lang.String` | `kInternalMediaCacheMaxSize`
`static java.lang.String` | `kLogonPassword`
`static java.lang.String` | `kLogonUserName`
`static java.lang.String` | `kMediaCacheCheckModifiedSince`
`static java.lang.String` | `kMediaCacheDefaultExpire`
`static java.lang.String` | `kMediaCacheForce`
`static java.lang.String` | `kMediaCacheMaxSize`
`static java.lang.String` | `kMediaCacheRecycle`
`static java.lang.String` | `kRequestCacheDefaultExpire`
`static java.lang.String` | `kRequestCacheForce`
`static java.lang.String` | `kRequestCacheMaxSize`
`static java.lang.String` | `kRequestCacheRecycle`
`static java.lang.String` | `kUseInternalCaches`
`long` | `logCycle`
`int` | `logLevel`
`int` | `logsMax`
`boolean` | `mcCheckModifiedSince`
`long` | `mcDefaultExpire`
`boolean` | `mcForce`
`long` | `mcMaxSize`
`boolean` | `mcRecycle`
`int` | `netBufferSize`
`long` | `rcDefaultExpire`
`boolean` | `rcForce`
`long` | `rcMaxSize`
`boolean` | `rcRecycle`
`boolean` | `tcCheckModifiedSince`
`long` | `tcDefaultExpire`
`boolean` | `tcForce`
`long` | `tcMaxSize`
`boolean` | `tcRecycle`
`boolean` | `useInternalCaches`

Constructor Summary
`CacheProperties()`
`CacheProperties(long l, boolean flag, long l1, boolean flag1, long l2, boolean flag2, long l3, boolean flag3, boolean flag4, long l4, boolean flag5, long l5, boolean flag6, boolean flag7, long l6, boolean flag8, long l7, boolean flag9, boolean flag10, boolean flag11, int i, int j, int k, long l8, int i1)`

Method Summary
`boolean` | `set(java.lang.String s, java.lang.String s1)`
`java.lang.String` | `toString(java.lang.String s)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kClassPath

    public static final java.lang.String kClassPath

### kRequestCacheMaxSize

    public static final java.lang.String kRequestCacheMaxSize

### kRequestCacheForce

    public static final java.lang.String kRequestCacheForce

### kRequestCacheDefaultExpire

    public static final java.lang.String kRequestCacheDefaultExpire

### kRequestCacheRecycle

    public static final java.lang.String kRequestCacheRecycle

### kFontCacheMaxSize

    public static final java.lang.String kFontCacheMaxSize

### kFontCacheForce

    public static final java.lang.String kFontCacheForce

### kFontCacheDefaultExpire

    public static final java.lang.String kFontCacheDefaultExpire

### kFontCacheRecycle

    public static final java.lang.String kFontCacheRecycle

### kFontCacheCheckModifiedSince

    public static final java.lang.String kFontCacheCheckModifiedSince

### kMediaCacheMaxSize

    public static final java.lang.String kMediaCacheMaxSize

### kMediaCacheForce

    public static final java.lang.String kMediaCacheForce

### kMediaCacheDefaultExpire

    public static final java.lang.String kMediaCacheDefaultExpire

### kMediaCacheRecycle

    public static final java.lang.String kMediaCacheRecycle

### kMediaCacheCheckModifiedSince

    public static final java.lang.String kMediaCacheCheckModifiedSince

### kFileCacheMaxSize

    public static final java.lang.String kFileCacheMaxSize

### kFileCacheForce

    public static final java.lang.String kFileCacheForce

### kFileCacheDefaultExpire

    public static final java.lang.String kFileCacheDefaultExpire

### kFileCacheRecycle

    public static final java.lang.String kFileCacheRecycle

### kFileCacheCheckModifiedSince

    public static final java.lang.String kFileCacheCheckModifiedSince

### kFileCacheLoadIndex

    public static final java.lang.String kFileCacheLoadIndex

### kCacheDiskBufferSize

    public static final java.lang.String kCacheDiskBufferSize

### kCacheNetBufferSize

    public static final java.lang.String kCacheNetBufferSize

### kCacheLoggingLevel

    public static final java.lang.String kCacheLoggingLevel

### kCacheLogCycle

    public static final java.lang.String kCacheLogCycle

### kCacheLogsMax

    public static final java.lang.String kCacheLogsMax

### kUseInternalCaches

    public static final java.lang.String kUseInternalCaches

### kInternalFontCacheMaxSize

    public static final java.lang.String kInternalFontCacheMaxSize

### kInternalMediaCacheMaxSize

    public static final java.lang.String kInternalMediaCacheMaxSize

### kLogonUserName

    public static final java.lang.String kLogonUserName

### kLogonPassword

    public static final java.lang.String kLogonPassword

### rcMaxSize

    public long rcMaxSize

### rcForce

    public boolean rcForce

### rcDefaultExpire

    public long rcDefaultExpire

### rcRecycle

    public boolean rcRecycle

### tcMaxSize

    public long tcMaxSize

### tcForce

    public boolean tcForce

### tcDefaultExpire

    public long tcDefaultExpire

### tcRecycle

    public boolean tcRecycle

### tcCheckModifiedSince

    public boolean tcCheckModifiedSince

### mcMaxSize

    public long mcMaxSize

### mcForce

    public boolean mcForce

### mcDefaultExpire

    public long mcDefaultExpire

### mcRecycle

    public boolean mcRecycle

### mcCheckModifiedSince

    public boolean mcCheckModifiedSince

### fcMaxSize

    public long fcMaxSize

### fcForce

    public boolean fcForce

### fcDefaultExpire

    public long fcDefaultExpire

### fcRecycle

    public boolean fcRecycle

### fcCheckModifiedSince

    public boolean fcCheckModifiedSince

### fcLoad

    public boolean fcLoad

### diskBufferSize

    public int diskBufferSize

### netBufferSize

    public int netBufferSize

### logLevel

    public int logLevel

### logCycle

    public long logCycle

### logsMax

    public int logsMax

### useInternalCaches

    public boolean useInternalCaches

### imcMaxSize

    public long imcMaxSize

### itcMaxSize

    public long itcMaxSize

Constructor Detail

### CacheProperties

    public CacheProperties()

### CacheProperties

    public CacheProperties(long l,
                           boolean flag,
                           long l1,
                           boolean flag1,
                           long l2,
                           boolean flag2,
                           long l3,
                           boolean flag3,
                           boolean flag4,
                           long l4,
                           boolean flag5,
                           long l5,
                           boolean flag6,
                           boolean flag7,
                           long l6,
                           boolean flag8,
                           long l7,
                           boolean flag9,
                           boolean flag10,
                           boolean flag11,
                           int i,
                           int j,
                           int k,
                           long l8,
                           int i1)

Method Detail

### set

    public boolean set(java.lang.String s,
                       java.lang.String s1)

### toString

    public java.lang.String toString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD